HttpMessage
HttpMessage::__construct
HttpMessage
PHP Manual

# HttpMessage::addHeaders

Add headers

### Description

public void HttpMessage::addHeaders ( array `$headers` [, bool `$append` = false ] )

Add headers. If append is true, headers with the same name will be separated, else overwritten.

### Parameters

`headers`

  associative array containing the additional HTTP headers to add to the messages existing headers

`append`

  if true, and a header with the same name of one to add exists already, this respective header will be converted to an array containing both header values, otherwise it will be overwritten with the new header value

### Return Values

Returns `TRUE` on success or `FALSE` on failure.